# general info
NAME="matt"
DESC="The (new) MatterLinux package manager"
VERSION="24.01"

# required files
FILES=("https://git.matterlinux.xyz/Matter/matt/archive/${VERSION}.tar.gz")
HASHES=("0315077dd05777654305079a3ea12c6f436c2fe7f3ea3e4b1fb00cd476a25073")

# install and build depends
DEPENDS=("libmp" "libinih" "gettext")
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/bin"
  install -Ddm755 "${ROOTDIR}/etc"

  make DESTDIR="${ROOTDIR}" install
  make DESTDIR="${ROOTDIR}" config

  cd .. && rm -r "${NAME}"
}
